import React, { PureComponent } from "react";

class PlanetIcon extends PureComponent {
    render() {
        return (
            <svg
                xmlns="http://www.w3.org/2000/svg"
                width="14"
                height="14"
                viewBox="0 0 14 14"
            >
                <path
                    d="M9,2a7,7,0,1,0,7,7A7,7,0,0,0,9,2Zm4.57,4.6a2.786,2.786,0,0,1-2.025.845c-.7.018-.352.4-.229.775s.053.546.933.784-.153,1.187-.66,1.7-.043,1.3-.307,1.51-.829.252-.882.992-.475.933-.933.933-1.039-1.427-.933-1.868.1-.787-.2-.962-.42-.319-.659-.973c-.289-.791-.9-.159-1.568-.141S4.812,8.706,5.746,7.4a1.823,1.823,0,0,1,2.788-.5c.792.528,1.867.165,1.867-1.173C10.4,4.726,9,5.3,9,4.333c0-.666.52-.91,1.356-1.245A6.087,6.087,0,0,1,14.2,5.874c-.186.209-.383.464-.628.723Z"
                    transform="translate(-2 -2)"
                    fill="currentColor"
                />
            </svg>
        );
    }
}

export default PlanetIcon;
